@ECHO OFF
REM  ---------------------------------------------------------
REM       Script pour creer une cle USB VDRLive bootable
REM    A utiliser dans le repertoire contenant le customizer
REM    et l'ISO extraite dans ARBRE_Modifiee.
REM  usage: Double-cliquez sur Iso2Usb.bat. C'est tout !
REM  ---------------------------------------------------------

if "%1"=="" goto std

REM Parametre requis 1 : lecteur de destination - exemple f:
REM Attention, il doit tre formate en FAT (ni FAT32, ni NTFS).
set A=f:

REM Parametre optionnel 2 : device sous VDRLive (souvent sda1).
REM S'il n'est pas present, syslinux.cfg ne sera pas ecrit et le
REM   boot sector ne sera pas installe.
set B=sda1

















REM  ---------------------------------------------------------
REM             Ne rien modifier ci-dessous !!!!
goto fin

:std
start notepad %0
echo .
echo Ce script va creer une cle VDRLive USB bootable.
echo .
echo A utiliser dans le repertoire contenant le customizer
echo et l'ISO extraite dans ARBRE_Modifiee.
echo .
echo Parametrer maintenant le fichier Iso2Usb.bat selon vos besoins puis
pause
call %0 var

if "%A%"=="" goto error1
echo .
echo Parametres definis pour Iso2Usb.bat :
echo .
echo Lecteur de destination : %A%
echo Parametre optionnel : %B%
echo .
echo .
echo Si vous n'etes pas d'accord, fermez cette fenetre et relancer le fichier Iso2Usb.bat.
echo .
echo Si vous etes OK,
pause

echo .
echo Copie des fichiers vers %A% ...

del /Q /F /S "%A%\VDRLive" > NUL
xcopy /I /R /E /Y "ARBRE_Modifiee\*" "%A%\"
if not "%errorlevel%"=="0" goto error2
del /Q /F /S "%A%\VDRLive\boot\*" > NUL
xcopy /I /R /E /Y "ARBRE_Modifiee\VDRLive\boot\*" "%A%\"
if not "%errorlevel%"=="0" goto error2
del /F "%A%\isolinux.bin"

if "%B%"=="" goto next
echo .
echo Configuration de syslinux.cfg ...

UnixTools\sed "s/boot=cdrom/boot=%B%/" "%A%\isolinux.cfg" > "%A%\syslinux.cfg"
del "%A%\isolinux.cfg"

echo .
echo Installation du boot sector sur %A%
UnixTools\syslinux.exe -maf "%A%"
if not "%errorlevel%"=="0" goto error3

:next
echo.
echo VDRLive est maintenant installe sur "%A%" !
if "%B%"=="" echo Syslinux.cfg et boot sector non installe
goto theend

:error1
echo .
echo Usage: Iso2Usb.bat f:\ (sda1)
echo .
echo Parametre requis 1 : lecteur de destination
echo Parametre optionnel 2 : device sous VDRLive (souvent sda1).
echo S'il n'est pas present, syslinux.cfg ne sera pas ecrit et
echo   le boot sector ne sera pas installe.
goto theend

:error2
echo .
echo Erreur pendant la copie de fichiers. Y a plus de place, peut-etre ?
goto theend

:error3
echo .
echo Erreur pendant l'installation du boot sector.
goto theend

:theend
echo .
echo Appuyez sur une touche pour quitter.
echo A+ et Amusez-vous bien avec VDRLive !
pause > NUL
:fin
